> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add text to the AI Store

Adds plain text content to the vector store. Useful for adding custom documentation, notes, or any text-based information. Content is limited to 50,000 characters.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /organization/rag/sources/texts
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rag/sources/texts:
    post:
      tags:
        - RAG (AI data)
      summary: Add text to the AI Store
      description: >-
        Adds plain text content to the vector store. Useful for adding custom
        documentation, notes, or any text-based information. Content is limited
        to 50,000 characters.
      operationId: addAITextSource
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  maxLength: 50000
                  description: Text content to add to the knowledge base.
                  example: This is important information about our product features...
              required:
                - text
      responses:
        '202':
          description: Text source queued for processing.
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid input or size limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Maximum size of the vector store exceeded.
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````